org.apache.ignite.internal.processors.cache.distributed.dht

## Class GridDhtTopologyFutureAdapter.LostPolicyValidator

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTopologyFutureAdapter.LostPolicyValidator

Enclosing class:
  GridDhtTopologyFutureAdapter

    public static class GridDhtTopologyFutureAdapter.LostPolicyValidator
    extends Object

Lost policy validator.

### Constructor Summary

Constructors
Constructor and Description
`LostPolicyValidator()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Throwable` `validate(GridCacheContext cctx, Collection<?> keys, GridDhtTopologyFutureAdapter.OperationType opType, Collection<Integer> lostParts)`
`static Throwable` `validate(GridCacheContext cctx, Object key, GridDhtTopologyFutureAdapter.OperationType opType, Collection<Integer> lostParts)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LostPolicyValidator

    public LostPolicyValidator()

### Method Detail

#### validate

    public static Throwable validate(GridCacheContext cctx,
                                     Object key,
                                     GridDhtTopologyFutureAdapter.OperationType opType,
                                     Collection<Integer> lostParts)

#### validate

    public static Throwable validate(GridCacheContext cctx,
                                     Collection<?> keys,
                                     GridDhtTopologyFutureAdapter.OperationType opType,
                                     Collection<Integer> lostParts)

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020